Page MenuHomePhabricator

[clang-doc] Add second index for sections within info's content
ClosedPublic

Authored by DiegoAstiazaran on Jul 19 2019, 4:41 PM.

Details

Summary

This new index contains links to the main section of infos: Namespaces, Records, Functions, Enums, Members.
Also to each child function or enum.
Index is currently rendered on top of the info content, this will be fixed later with CSS.

Depends on D65690.

Diff Detail

Repository
rL LLVM

Event Timeline

DiegoAstiazaran edited the summary of this revision. (Show Details)Jul 19 2019, 4:42 PM

Looks mostly good to me, with a small formatting thing

clang-tools-extra/clang-doc/HTMLGenerator.cpp
490 ↗(On Diff #210937)

Comment here that you're using USR instead of name to disambiguate function overloads (mostly because I asked the question and had to think about why for a second, so might as well document it)

clang-tools-extra/unittests/clang-doc/HTMLGeneratorTest.cpp
47–52 ↗(On Diff #210937)

Formatting is a bit weird for sublists

DiegoAstiazaran marked 3 inline comments as done.

Add comment.

clang-tools-extra/unittests/clang-doc/HTMLGeneratorTest.cpp
47–52 ↗(On Diff #210937)

Fixed by D65005. It will be properly formatted after rebasing.

jakehehrlich accepted this revision.Aug 2 2019, 3:26 PM

This looks awesome!

clang-tools-extra/clang-doc/HTMLGenerator.cpp
257 ↗(On Diff #211869)

Use an optional StringRef instead

This revision is now accepted and ready to land.Aug 2 2019, 3:26 PM
juliehockett added inline comments.Aug 5 2019, 4:59 PM
clang-tools-extra/unittests/clang-doc/HTMLGeneratorTest.cpp
47–52 ↗(On Diff #210937)

This formatting is still a bit weird :( The inner ul didn't get its own newline, so it's hard to tell which list each item is part of. Not a huge problem, but if it's a reasonably small fix I'd love to see it cleaned up.

DiegoAstiazaran marked 2 inline comments as done.
DiegoAstiazaran edited the summary of this revision. (Show Details)

Changed dependency of commit, D65003 was abandoned and replaced by D65690.
Rebased to latest commit so HTML is now rendered correctly.
genHTML(const Index &Index, ...) was originally implemented by D65003 but it is now part of this commit.

DiegoAstiazaran added inline comments.Aug 5 2019, 7:51 PM
clang-tools-extra/unittests/clang-doc/HTMLGeneratorTest.cpp
47–52 ↗(On Diff #210937)

I had not rebased.
I rebased in the last version of this patch and the index is rendered as D65005.

Changed JumpToSection in Index struct and genHTML(const Index &Index, ...) function to llvm::Optional<StringRef>.

DiegoAstiazaran marked an inline comment as done.Aug 6 2019, 5:20 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 7 2019, 2:05 PM